# Class CommandKeycode

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.NativeComponent
org.a11y.brlapi.Keycode
org.a11y.brlapi.CommandKeycode

public class CommandKeycode extends Keycode

## Field Summary

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Constructor
Description
`CommandKeycode(long code)`

## Method Summary

Modifier and Type
Method
Description
`final int`
`getArgument()`
`final int`
`getCommand()`
`final String`
`getCommandName()`
`final String[]`
`getFlagNames()`
`final int`
`getFlags()`
`final int`
`getType()`
`final String`
`getTypeName()`
`String`
`toString()`

### Methods inherited from class Keycode

`getCode, toString`

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CommandKeycode

public CommandKeycode(long code)

## Method Details

### getType

public final int getType()

### getCommand

public final int getCommand()

### getArgument

public final int getArgument()

### getFlags

public final int getFlags()

### getTypeName

public final String getTypeName()

### getCommandName

public final String getCommandName()

### getFlagNames

public final String[] getFlagNames()

### toString

public String toString()

Overrides:
  `toString` in class `Keycode`